Package org.apache.lucene.index

# Class Sorter.DocMap

java.lang.Object
org.apache.lucene.index.Sorter.DocMap

Enclosing class:
  `Sorter`

public abstract static class Sorter.DocMap extends Object
A permutation of doc IDs. For every document ID between `0` and `IndexReader.maxDoc()`, `oldToNew(newToOld(docID))` must return `docID`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DocMap()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `newToOld(int docID)`
  Given the ordinal of a doc ID, return its doc ID in the original index.
  `abstract int`
  `oldToNew(int docID)`
  Given a doc ID from the original index, return its ordinal in the sorted index.
  `abstract int`
  `size()`
  Return the number of documents in this map.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocMap

    protected DocMap()
    Sole constructor.

- ## Method Details

  - ### oldToNew

    public abstract int oldToNew(int docID)
    Given a doc ID from the original index, return its ordinal in the sorted index.

  - ### newToOld

    public abstract int newToOld(int docID)
    Given the ordinal of a doc ID, return its doc ID in the original index.

  - ### size

    public abstract int size()
    Return the number of documents in this map. This must be equal to the `number of documents` of the `LeafReader` which is sorted.